Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class SHPPoint

    java.lang.Object
      org.deegree.io.shpapi.SHPGeometry
          org.deegree.io.shpapi.SHPPoint

Direct Known Subclasses:
  SHPPoint3D

    public class SHPPoint

extends SHPGeometry

Class representig a two dimensional point

Version:
  14.08.2000
Author:
  Andreas Poth

Field Summary
`double` | `x`
`double` | `y`

Fields inherited from class org.deegree.io.shpapi.SHPGeometry
`envelope, recBuffer`

Constructor Summary
`SHPPoint()`
`SHPPoint(byte[] recBuf, int xStart)` constructor: gets a stream and the start index of point on it
`SHPPoint(Position point)` constructor: creates a SHPPoint from a WKS Geometrie

Method Summary
`int` | `size()` returns the size of the point shape in bytes
`String` | `toString()`
`void` | `writeSHPPoint(byte[] byteArray, int start)` method: writeSHPPoint: writes a SHPPoint Objekt to a recBuffer

Methods inherited from class org.deegree.io.shpapi.SHPGeometry
`getEnvelope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public double x

### y

    public double y

Constructor Detail

### SHPPoint

    public SHPPoint()

### SHPPoint

    public SHPPoint(byte[] recBuf,
                    int xStart)

  constructor: gets a stream and the start index
  of point on it

  Parameters:
    `recBuf` -
    `xStart` -

### SHPPoint

    public SHPPoint(Position point)

  constructor: creates a SHPPoint from a WKS Geometrie

  Parameters:
    `point` -

Method Detail

### writeSHPPoint

    public void writeSHPPoint(byte[] byteArray,
                              int start)

  method: writeSHPPoint: writes a SHPPoint Objekt to a recBuffer

  Parameters:
    `byteArray` -
    `start` -

### size

    public int size()

  returns the size of the point shape in bytes

  Returns:
    the size of the point shape in bytes

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org